
# Slip

- category: UI
- chinese: 滑动容器
- type: UI Component

---

## Design

 A sliding container implemented with `Mask` + `Transition`.


## Usage

All kinds of floating floors are needed.

## API

| Parameters   | Description                                                                         | Type    | Default       |
| ------------ | ----------------------------------------------------------------------------------- | ------- | ------------- |
| direction    | direction, options: ease-in,ease-in-out,ease-out,linear,cubic-bezier                | strIng  | 200           |
| width        | Width of floating layer                                                             | 750     |
| height       | Height of floating layer                                                            | number  | deviceHeight  |
| effect       | Display animation effects, option：ease-in,ease-in-out,ease-out,linear,cubic-bezier | string  | 'ease-in-out' |
| maskClosable | Can you click on the blank area to close                                            | boolean | false         |
| duration     | Animation duration, default 200（ms）                                               | number  | 200           |

## The Other
- Chat with <a href="dingtalk://dingtalkclient/action/sendmsg?dingtalk_id=kjwo3w5">@翊晨[yichen]</a> in Dingtalk desktop App <a href='https://tms.dingtalk.com/markets/dingtalk/download'>Download</a>
- DingTalk Group

<img src="https://img.alicdn.com/tfs/TB101EESpXXXXXFXpXXXXXXXXXX-1122-1362.jpg" width="260" /> 


